Subject: clarification required on draft-ietf-l2vpn-signaling-08.txt

From: "BALUS Florin" <[email-masked]>
Date: Mon, 15 Jan 2007 17:18:27 -0600

I need some clarification on the text in draft-ietf-l2vpn-signaling-08.txt.
 
Section 3.2.2.1 states "[..] this VPLS-id must be encodable as a BGP Extended Community[RFC4360]."
Next section 3.2.3 states, (re: FEC 129 components used for signaling): "[..] We encode the VPLS-id in the AGI field". So the BGP Extended Community attribute gets copied in the AGI.
 
Subsequently section 6 (IANA considerations) states that AGI type 1 should be used as per ietf-pwe3-iana-allocation (now RFC 4447). The text in the RFC gives the following description for the AGI type 1:
" 0x01 8 AGI encoded as Route Distinguisher [SIG]". 

Are the two documents out of sync or does the text missing some information? 

Thanks,

Florin